function F=createF(mesh,f1,f2);
%
%   Input ==>  (mesh,f1,f2) mesh.vert are the vertices from a mcsf mesh file 
%              and f1[1,2],f2[1,2] are forces to apply to type 4 and type 6 vertices.
%   Output ==> vector F of the Ax=F equation for elasticity approximation. F
%              has 2n rows where n is number of non-dirichlet nodes.
%
%This function creates the vector F of the elasticity approximation Ax=F.
%Leaving all the arguments blank loads mesh from mcin.m and uses fl=[0 -5] and f2=[0 0]
%

F=0;
try
    vert=mesh.vert;
    %simp=mesh.simp;
catch
    mesh=getMesh;
    mesh=updateMesh(mesh);
    vert=mesh.vert;
    %simp=mesh.simp;
    f1=[0 -5];
end;

  try
      f1;
  catch
      fprintf('You need to specify external forces. i.e. createF(mesh,[a b],[c d]).\n');
      return;
  end;
  try
      f2;
  catch
      f2=[0 0];
  end;
  vertices=size(vert,1);
  dirc=(vert(vertices,2)-floor(vert(vertices,2)))*100;
  if vert(vertices,2)>=2 dirc=0; end;
  vertices=double(uint16(vertices-dirc));
  F=zeros(vertices*2,1);
  %F=spalloc(vertices*2,1,20);
  for i=1:vertices
      if floor(vert(i,2))==4
          F(i)=f1(1);
          F(i+vertices)=f1(2);
      elseif floor(vert(i,2))==6
          F(i)=f2(1);
          F(i+vertices)=f2(2);
      end;
  end;
end