function viewMesh(mesh,key1,axs,key2);
%
%   Input ==>  (mesh,opt:key1,opt:axs,opt:key2)
%   Output ==> Draws mesh
%
%This function draws the mesh from mesh.vert and mesh.simp
%Use key==1 to add numbers to the vertices.  Use axs==[xMin,xMax,yMin,yMax]
%to set bounds on the graph window. Use axs=[0 0 0 0] to center picture in
%an area twice as large as picture.  Use key2==1 to draw faster and leave
%some stuff out.
%
   
try
    vert=mesh.vert;
    simp=mesh.simp;
catch
    mcin;
    mesh.vert=vert;
    mesh.simp=simp;
    mesh=updateMesh(mesh);
    vert=mesh.vert;
    simp=mesh.simp;
end;

   use_axis=0;
   fast=0;
   num=0;
   try
       if key1==1
           num=1;
       end;
   end;
   
   try
       if key2==1
           fast=1;
       end;
   end;
   
   try
       axs;
       use_axis=1;
   end;
   
   [L,nine]=size(simp);
   [N,five]=size(vert);

   if use_axis 
   if axs==[0 0 0 0]
     x_min=min(vert(:,3));
     x_max=max(vert(:,3));
     y_min=min(vert(:,4));
     y_max=max(vert(:,4));
     x_extra=(x_max-x_min)/2;
     y_extra=(y_max-y_min)/2;
     axs=[x_min-x_extra,x_max+x_extra,y_min-y_extra,y_max+y_extra];
   end;
   end;
 
   if ~use_axis
     x_min=min(vert(:,3));
     x_max=max(vert(:,3));
     y_min=min(vert(:,4));
     y_max=max(vert(:,4));
     axs=[x_min-1,x_max+1,y_min-1,y_max+1];
     use_axis=1;
   end;
    
   x=zeros(4,1);
   y=zeros(4,1);
   hold off;
   plot(0,0);
   
   hold on;
   axis equal;
   if use_axis
      axis(axs);
   end;
   
   if ~fast
      plot (vert(:,3),vert(:,4),'.b'); %put dot on vertices
      dirc=(vert(N,2)-floor(vert(N,2)))*100;
      if floor(vert(N,2))~=1 dirc=0; end;
      if dirc>.1
        dirc=double(uint16(dirc))-1;
        plot (vert(N-dirc:N,3),vert(N-dirc:N,4),'ok'); %put circle around dirchet nodes
      end;
      for i=1:N
          if vert(i,2)>=6
              plot (vert(i,3),vert(i,4),'k>'); %put triangle around special Neuman type6 vertex
          elseif vert(i,2)>=4
              plot (vert(i,3),vert(i,4),'k<'); %put triangle around special Neuman type4 vertex
          %elseif vert(i,2)>=2
          %    plot (vert(i,3),vert(i,4),'k.'); %mark Neuman type2 nodes
          end;
      end;
        
   end;
   
   for i=1:L %draw all the triangles
       x(1)=vert( simp(i,7)+1,3);
       x(2)=vert( simp(i,8)+1,3);
       x(3)=vert( simp(i,9)+1,3);
       x(4)=x(1);
       y(1)=vert( simp(i,7)+1,4);
       y(2)=vert( simp(i,8)+1,4);
       y(3)=vert( simp(i,9)+1,4);
       y(4)=y(1);
       plot (x,y);
   end;
   

   if num %if user wants label vertex numbers
   for i=1:N
       x=vert(i,3)+.08;
       y=vert(i,4)+.08;
       text(x,y,num2str(i),'color','r');
   end;
   end;

